Bug 1080767 - EAP 6.3 DR6 Management Console: home page string suggestions and corrections
Summary: EAP 6.3 DR6 Management Console: home page string suggestions and corrections
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER9
: EAP 6.3.0
Assignee: Harald Pehl
QA Contact: Jakub Cechacek
Russell Dickenson
URL:
Whiteboard:
Depends On: 1083093 1093586
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-26 06:06 UTC by Lucas Costi
Modified: 2015-02-01 23:01 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 14:34:27 UTC
Type: Bug


Attachments (Terms of Use)
Example of the desired result of font style changes. (147.20 KB, image/jpeg)
2014-03-26 16:05 UTC, Liz
no flags Details
Additional reference example/spec. (220.50 KB, image/jpeg)
2014-03-26 21:24 UTC, Liz
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker HAL-433 0 Major Resolved home page string suggestions and corrections 2014-07-10 08:36:40 UTC

Description Lucas Costi 2014-03-26 06:06:45 UTC
As per conversation with Liz Clayton, I have reviewed the strings/copy on the EAP 6.3 (DR6) management console home page, and here are some suggestions:

-- Under 'Configuration':
"Go here to edit server profiles. A profile contains all the attributes and settings that define the subsystems and resources available to your servers."

suggestion:
"Configure your server profiles, including the attributes and settings that define subsystems and resources available to your servers."


-- Under 'Configuration', "Create a datasouce":
Note the typo on "Create a datasouce", should be "Create a datasource"

(Domain mode text:)"Create a new datasource and configure it using the available settings. Add it to a profile to make it available to deployed applications."

suggestion:
"Create and configure a new datasource. Add the datasource to a server profile to make it available to deployed applications."

(Standalone mode text:)"Add a new datasouce and follow the steps in the Create Datasource wizard."

Other than the 'datasouce' typo, not sure if this should be changed to just:
"Follow the steps in the <em>Create Datasource</em> wizard."
or something like:
"Click <em>Add</em>, and follow the steps in the <em>Create Datasource</em> wizard."


-- Under 'Domain',
"Configure your domain topology here by adding servers, creating server groups, and managing other host controller settings."

suggestion:
"Configure your domain topology by adding servers, creating server groups, and managing other host controller settings."


-- Under "Runtime", "View domain status":
"Get an overview of your domain including host controllers, servers, and server groups. Start or stop individual servers or groups."

suggestion:
"Get an overview of your domain, including host controllers, servers, and server groups. Start or stop servers or server groups."


-- Under "Administration"
"Perform administrative tasks for your JBoss EAP managed domain."

The above string is also displayed when running standalone mode. Something that might satisfy both modes might be:
"Perform administrative tasks for your server, including role-based access control."


-- Under "Domain" (domain mode) or "Runtime" (standalone mode), "Apply a patch":
(Standalone mode text:) "Upgrade to the latest patch level. A patch file must be downloaded to your local host prior to starting this process."
(Domain mode text:) "Upgrade a selected host to the latest patch level. A patch file must be downloaded to your local machine prior to starting this process."

'upgrading' is different from patching, so we should try to keep the terminology separate (see [1]). Suggestions:

(Standalone mode:) "Update to the latest patch level. The patch file must be downloaded to your local machine prior to starting this process."
(Domain mode:) "Update a selected host to the latest patch level. The patch file must be downloaded to your local machine prior to starting this process."


Also, generally might it be better to format the text that has GUI titles and labels differently from 'normal' text? For example, "Select Patch Management" might be "Select <em>Patch Management</em>". 


[1] http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.3/html-single/Installation_Guide/index.html#About_Patches_and_Upgrades

Comment 1 Liz 2014-03-26 16:01:37 UTC
While on this page for text edits - some of the CSS styles need to be revised. Where there are instances of 11px font size, we would like to bump that up to 12px. In addition, there are some font weight adjustments needed. I've included a mini spec (attached). Here are the styles that I believe need to be revised:

.homepage-link > change to 12px, and change weight to 400. 

.homepage-content-box .panel-body p, .homepage-content-box .panel-body ol {
  > change to 12px

.homepage-lead-paragraph > change to 12px

.homepage-content-box .panel-title > Change weight to 700.

Comment 2 Liz 2014-03-26 16:05:09 UTC
Created attachment 879110 [details]
Example of the desired result of font style changes.

Comment 3 Liz 2014-03-26 21:24:15 UTC
Created attachment 879234 [details]
Additional reference example/spec.

Comment 4 Jakub Cechacek 2014-04-30 08:44:17 UTC
Homepage layout was reworked, text changes seems not to be applied (e.g. the typo in [1] is still there). 

What is the current state of this issue? 

[1] Add a new *datasouce* and follow the steps in the Create Datasource wizard.

Comment 5 Jakub Cechacek 2014-04-30 08:47:22 UTC
Update: It seems that the text changes were not applied for standalone mode only.

Comment 6 Harald Pehl 2014-04-30 08:52:49 UTC
You're right. Missed that typo. Will be fixed in the next ER.

Comment 7 JBoss JIRA Server 2014-06-30 19:31:20 UTC
Heiko Braun <ike.braun@googlemail.com> updated the status of jira HAL-433 to Resolved

Comment 8 Kabir Khan 2014-07-01 15:02:21 UTC
Should be solved by https://bugzilla.redhat.com/show_bug.cgi?id=1093586 for ER5

Comment 9 Martin Velas 2014-07-10 08:28:23 UTC
Verified for EAP 6.3.0.ER9 (both domain and standalone).


Note You need to log in before you can comment on or make changes to this bug.